Retrieve a client by metadata key-value
curl --request GET \
--url https://api.artu.ai/clients/metadata/{key}/{value} \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'{
"type": "<unknown>",
"name": "<string>",
"scopes": [],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": true,
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
},
"email": "<string>",
"phone": "<string>",
"age": 0,
"addresses": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {}
}
},
"US": "<unknown>"
}
}
],
"contactMethods": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "<unknown>",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"documents": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"linkedClients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client": {
"type": "<unknown>",
"name": "<string>",
"scopes": [],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<unknown>",
"claveSujetoObligado": "<unknown>"
}
}
},
"US": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}Clients
Retrieve a client by metadata key-value
GET
/
clients
/
metadata
/
{key}
/
{value}
Retrieve a client by metadata key-value
curl --request GET \
--url https://api.artu.ai/clients/metadata/{key}/{value} \
--header 'Authorization: Bearer <token>' \
--header 'X-Environment: <api-key>'{
"type": "<unknown>",
"name": "<string>",
"scopes": [],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": true,
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<string>",
"claveSujetoObligado": "<string>"
}
}
},
"US": "<unknown>"
},
"email": "<string>",
"phone": "<string>",
"age": 0,
"addresses": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrimary": true,
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "home",
"country": "<unknown>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"exteriorNumber": "<string>",
"interiorNumber": "<string>",
"neighborhood": "<string>",
"municipality": "<string>",
"betweenStreets": "<string>",
"reference": "<string>",
"cnbv": {
"TRANSMISOR": {}
}
},
"US": "<unknown>"
}
}
],
"contactMethods": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"isVerified": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isPrimary": false,
"label": "<string>",
"externalId": "<string>",
"metadata": {}
}
],
"bankAccounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountNumber": "<string>",
"bankName": "<string>",
"country": "<unknown>",
"currency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bankCode": "<string>",
"type": "checking",
"isPrimary": true,
"isActive": true,
"label": "<string>",
"externalId": "<string>",
"metadata": {},
"clabe": "<unknown>",
"codigoBanco": "<string>",
"codigoPlaza": "<string>"
}
],
"documents": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "pending_upload",
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"expiresAt": "2023-12-25",
"verifiedAt": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>",
"rejectionReason": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"reviewedBy": "<string>",
"externalId": "<string>",
"fields": {},
"metadata": {}
}
],
"linkedClients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client": {
"type": "<unknown>",
"name": "<string>",
"scopes": [],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nationalities": "<unknown>",
"externalId": "<string>",
"metadata": {},
"birthDate": "2023-12-25",
"middleName": "<string>",
"lastName": "<unknown>",
"employment": {
"isEmployee": true,
"employeeId": "<string>",
"position": "<string>",
"department": "<string>",
"startDate": "2023-12-25"
},
"scopeData": {
"MX": {
"rfc": "<string>",
"curp": "<string>",
"actividadVulnerable": {
"ARI": {},
"AVI": {
"username": "<unknown>"
},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {
"numeroCuenta": "<unknown>",
"claveSujetoObligado": "<unknown>"
}
}
},
"US": "<unknown>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Query Parameters
Available options:
base, MX:AV, MX:AV:ARI, MX:AV:AVI, MX:AV:INM, MX:AV:JYS, MX:AV:MJR, MX:AV:MPC, MX:AV:TSC, MX:AV:VEH, MX:CNBV, MX:CNBV:TRANSMISOR, MX Response
200 - application/json
OK
- Option 1
- Option 2
- Option 3
Type
Name
Minimum string length:
1Minimum array length:
1Available options:
base, MX:AV, MX:AV:ARI, MX:AV:AVI, MX:AV:INM, MX:AV:JYS, MX:AV:MJR, MX:AV:MPC, MX:AV:TSC, MX:AV:VEH, MX:CNBV, MX:CNBV:TRANSMISOR, MX Nationalities
External ID
Metadata
Show child attributes
Show child attributes
Birth Date
Middle Name
Last Name
Employment
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
